Package net.shibboleth.idp.profile.interceptor

# Class AbstractProfileInterceptorAction

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
org.opensaml.profile.action.AbstractProfileAction
org.opensaml.profile.action.AbstractConditionalProfileAction
net.shibboleth.idp.profile.AbstractProfileAction
net.shibboleth.idp.profile.interceptor.AbstractProfileInterceptorAction

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`, `ProfileAction`, `Aware`, `MessageSource`, `MessageSourceAware`, `Action`

Direct Known Subclasses:
  `AbstractConsentAction`, `FilterFlowsByNonBrowserSupport`, `InitializeAttributeReleaseContext`, `InitializeConsentContext`, `PopulateProfileInterceptorContext`, `SelectProfileInterceptorFlow`, `WriteProfileInterceptorResultToStorage`

public abstract class AbstractProfileInterceptorAction extends AbstractProfileAction
A base class for profile interceptor actions. In addition to the work performed by `AbstractProfileAction`, this action also looks up and makes available the `ProfileInterceptorContext`. Interceptor action implementations should override `doExecute(ProfileRequestContext, ProfileInterceptorContext)`

## Field Summary

Fields
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,ProfileInterceptorContext>`
`interceptorContextlookupStrategy`
Strategy used to find the `ProfileInterceptorContext` from the `ProfileRequestContext`.
`private final org.slf4j.Logger`
`log`
Class logger.
`private ProfileInterceptorContext`
`profileInterceptorContext`
The `ProfileInterceptorContext` to operate on.

## Constructor Summary

Constructors
Constructor
Description
`AbstractProfileInterceptorAction()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected final void`
`doExecute(ProfileRequestContext profileRequestContext)`
`protected void`
`doExecute(ProfileRequestContext profileRequestContext, ProfileInterceptorContext interceptorContext)`
Performs this profile interceptor action.
`protected boolean`
`doPreExecute(ProfileRequestContext profileRequestContext)`
`protected boolean`
`doPreExecute(ProfileRequestContext profileRequestContext, ProfileInterceptorContext interceptorContext)`
Performs this profile interceptor action's pre-execute step.
`private ProfileInterceptorContext`
`getProfileInterceptorContext()`
null safe getter.
`void`
`setLookupStrategy(Function<ProfileRequestContext,ProfileInterceptorContext> strategy)`
Set the context lookup strategy for `ProfileInterceptorContext`.

### Methods inherited from class net.shibboleth.idp.profile.AbstractProfileAction

`doExecute, execute, getBean, getBean, getMessage, getMessage, getMessage, getParameter, getParameter, getProfileContextLookupStrategy, getRequestContext, getResult, setMessageSource, setProfileContextLookupStrategy`

### Methods inherited from class org.opensaml.profile.action.AbstractConditionalProfileAction

`getActivationCondition, setActivationCondition`

### Methods inherited from class org.opensaml.profile.action.AbstractProfileAction

`doPostExecute, doPostExecute, ensureHttpServletRequest, ensureHttpServletResponse, execute, getHttpServletRequest, getHttpServletRequestSupplier, getHttpServletResponse, getHttpServletResponseSupplier, getLogPrefix, isPreExecuteCalled, setHttpServletRequestSupplier, setHttpServletResponseSupplier`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, doInitialize, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

### interceptorContextlookupStrategy

@Nonnull private Function<ProfileRequestContext,ProfileInterceptorContext> interceptorContextlookupStrategy
Strategy used to find the `ProfileInterceptorContext` from the `ProfileRequestContext`.

### profileInterceptorContext

@NonnullBeforeExec private ProfileInterceptorContext profileInterceptorContext
The `ProfileInterceptorContext` to operate on.

## Constructor Details

### AbstractProfileInterceptorAction

public AbstractProfileInterceptorAction()
Constructor.

## Method Details

### setLookupStrategy

public void setLookupStrategy(@Nonnull Function<ProfileRequestContext,ProfileInterceptorContext> strategy)
Set the context lookup strategy for `ProfileInterceptorContext`.

Parameters:
  `strategy` - lookup strategy function

### getProfileInterceptorContext

@Nonnull private ProfileInterceptorContext getProfileInterceptorContext()
null safe getter.

Returns:
  Returns the profileInterceptorContext.

### doPreExecute

protected boolean doPreExecute(@Nonnull ProfileRequestContext profileRequestContext)

Overrides:
  `doPreExecute` in class `AbstractConditionalProfileAction`

### doPreExecute

protected boolean doPreExecute(@Nonnull ProfileRequestContext profileRequestContext, @Nonnull ProfileInterceptorContext interceptorContext)
Performs this profile interceptor action's pre-execute step. Default implementation returns true.

Parameters:
  `profileRequestContext` - the current profile request context
  `interceptorContext` - the current profile interceptor context
Returns:
  true iff execution should continue

### doExecute

protected final void doExecute(@Nonnull ProfileRequestContext profileRequestContext)

Overrides:
  `doExecute` in class `AbstractProfileAction`

### doExecute

protected void doExecute(@Nonnull ProfileRequestContext profileRequestContext, @Nonnull ProfileInterceptorContext interceptorContext)
Performs this profile interceptor action. Default implementation does nothing.

Parameters:
  `profileRequestContext` - the current profile request context
  `interceptorContext` - the current profile interceptor context